require 'rake'

class AspnetCompile
	def execute(working_dir, framework_version)	
		Dir.glob("#{working_dir}/**/Global.asax", File::FNM_CASEFOLD).each do |path|
			print_heading 'Aspnet Compile'
			
			path = File.dirname(path)
            puts "PreCompiling web project at #{path}".yellow
			sh "%windir%/microsoft.net/framework/#{framework_version}/aspnet_compiler.exe -p #{path} -v / -nologo"
		end	
	end
end
