
class DefaultTasks
	def initialize(session, tools)
		@session = session
		@tools = tools
	end

	def setup
		@tools.download(@session.tools_dir, @session.tools_download_uri)

        AspnetCompileTask.new(:aspnetcompile)
        CleanTask.new(:clean)
        TokensTask.new(:tokens)

        CompileTask.new(:compile, '')    
        CompileTask.new(:publish, "/property:OutDir=#{@session.output_dir}/publish/")    

        TestsTask.new(:unit_tests, "**/[b][i][n]/#{@session.configuration}/*.Unit?Tests.dll")
        TestsTask.new(:integration_tests, "**/[b][i][n]/#{@session.configuration}/*.Integration?Tests.dll")
        TestsTask.new(:acceptance_tests, "**/[b][i][n]/#{@session.configuration}/*.Acceptance?Tests.dll")  
	end
end
