require 'terminal'

class Tools

	def download(tools_dir, download_url)
		FileUtils.mkdir_p(tools_dir) if !File.directory?(tools_dir) 

		if(Dir.glob("#{tools_dir}/*.*").empty?)
			print_heading 'Tools'
			puts "Tools directory does not exist at #{tools_dir}".yellow
			puts "Downloading tools from BitBucket..."
			puts ''

			bin = File.path(File.join(File.dirname(__FILE__), "../../", "bin"))	

			File.delete('tools.zip') if File.exists?('tools.zip')
			sh "#{bin}/wget.exe -O tools.zip #{download_url}"
			sh "#{bin}/unzip.exe -qo tools.zip -d #{tools_dir}"
			File.delete('tools.zip') if File.exists?('tools.zip')
		end
	end
end
