require 'rubygems'
require 'term/ansicolor'
require 'win32console' unless !(RUBY_PLATFORM =~ /mswin32/)

class String
	include Term::ANSIColor
end

module Terminal
	def print_heading(message) 
		return if message.nil? or message.empty?	

		is_build_agent = !ENV['teamcity.version'].nil?

		if(is_build_agent)
			puts "##teamcity[progressMessage '#{message}']"
		else
			puts ''
			puts message.cyan
			puts ("#" * (message.length+2)).cyan
		end
	end
end


